Function
upgmaTree
Computes a guide tree from a distance matrix.
upgmaTree(mat, graph [,tag])
upgmaTree(sparse_mat, graph [,tag])
Include Headers
seqan/graph_msa.h
Parameters

mat | A string of pairwise distance values, representing a square matrix. Types: String Remarks: String must use double values because the algorithm recycles this string to store intermediate possibly fractional results.
sparse_mat | An undirected graph where each edge corresponds to the distance between sequence i and sequence j. Types: Undirected Graph
graph | Out-parameter:The guide tree. Types: Tree
tag | Tag that indicates how to calculate cluster distances. Types: Upgma Configurator Default: UpgmaWeightAvg Remarks: Possible values are UpgmaWeightAvg, UpgmaAvg, UpgmaMax, and UpgmaMin.

Return Values
void
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:49